Merge "Don't allow retry to fail stacking"
authorJamo Luhrsen <jluhrsen@redhat.com>
Fri, 23 Feb 2018 20:42:57 +0000 (20:42 +0000)
committerGerrit Code Review <gerrit@opendaylight.org>
Fri, 23 Feb 2018 20:42:57 +0000 (20:42 +0000)
1  2 
jjb/integration/integration-deploy-openstack-run-test.sh

index 27b89549778ed1b8bee56f80d5bef5908c191db4,451bb20c4b35f0acac6339f88f137332c03e4095..d7108c9a5a7cb7641dcb0971f693dd8796387e84
@@@ -27,8 -27,8 +27,8 @@@ function trap_handler() 
      local prog="$0"
      local lastline="$1"
      local lasterr="$2"
-     echo "${prog}: line ${lastline}: exit status of last command: ${lasterr}"
-     echo "command: ${BASH_COMMAND}"
+     echo "trap_hanlder: ${prog}: line ${lastline}: exit status of last command: ${lasterr}"
+     echo "trap_handler: command: ${BASH_COMMAND}"
      collect_logs
      exit 1
  } # trap_handler()
@@@ -126,7 -126,7 +126,7 @@@ function install_openstack_clients_in_r
  
      if [ "${ENABLE_NETWORKING_L2GW}" == "yes" ]; then
          #networking-l2gw is not officially available in any release yet. Gettting the latest stable version.
 -        $PYTHON -m pip install networking-l2gw
 +        $PYTHON -m pip install networking-l2gw==11.0.0
      fi
  }
  
@@@ -783,7 -783,6 +783,6 @@@ function is_rabbitmq_ready() 
  # retry the given command ($3) until success for a number of iterations ($1)
  # sleeping ($2) between tries.
  function retry() {
-     set +e
      local -r -i max_tries=${1}
      local -r -i sleep_time=${2}
      local -r cmd=${3}
              fi
          fi
      done
-     set -e
      return ${rc}
  }
  
@@@ -846,10 -844,8 +844,10 @@@ CORE_OS_CONTROL_SERVICES+=",odl-compute
  # Additional services
  CORE_OS_CONTROL_SERVICES+=",mysql,rabbit"
  
 +# collect performance stats
 +CORE_OS_COMPUTE_SERVICES="dstat"
  # computes only need nova and odl
 -CORE_OS_COMPUTE_SERVICES="n-cpu,odl-compute"
 +CORE_OS_COMPUTE_SERVICES+=",n-cpu,odl-compute"
  
  cat > ${WORKSPACE}/disable_firewall.sh << EOF
  sudo systemctl stop firewalld
@@@ -982,17 -978,19 +980,19 @@@ don
  # Compare that timestamp to this log in the control stack.log: sudo rabbitmqctl set_permissions -p nova_cell1 stackrabbit
  # If the n-cpu.log is earlier than the control stack.log timestamp then the failure condition is likely hit.
  if [ ${NUM_OPENSTACK_COMPUTE_NODES} -gt 0 ]; then
-    WAIT_FOR_RABBITMQ_MINUTES=60
-    echo "Wait a maximum of ${WAIT_FOR_RABBITMQ_MINUTES}m until rabbitmq is ready to allow the controller to create nova_cell1 before the computes need it"
-    retry ${WAIT_FOR_RABBITMQ_MINUTES} 60 "is_rabbitmq_ready ${OPENSTACK_CONTROL_NODE_1_IP}"
-    rc=$?
-    if ((${rc} == 0)); then
+     WAIT_FOR_RABBITMQ_MINUTES=60
+     echo "Wait a maximum of ${WAIT_FOR_RABBITMQ_MINUTES}m until rabbitmq is ready to allow the controller to create nova_cell1 before the computes need it"
+     set +e
+     retry ${WAIT_FOR_RABBITMQ_MINUTES} 60 "is_rabbitmq_ready ${OPENSTACK_CONTROL_NODE_1_IP}"
+     rc=$?
+     set -e
+     if ((${rc} == 0)); then
        echo "rabbitmq is ready, starting ${NUM_OPENSTACK_COMPUTE_NODES} compute(s)"
-    else
+     else
        echo "rabbitmq was not ready in ${WAIT_FOR_RABBITMQ_MINUTES}m"
        collect_logs
        exit 1
-    fi
+     fi
  fi
  
  for i in `seq 1 ${NUM_OPENSTACK_COMPUTE_NODES}`; do
@@@ -1190,6 -1188,10 +1190,6 @@@ for i in `seq 1 ${NUM_OPENSTACK_SITES}`
          sudo ip netns exec pnf_ns ifconfig pnf_veth1 up ${EXTNET_PNF_IP}/24;
          sudo ovs-vsctl add-port ${PUBLIC_BRIDGE} pnf_veth0;
      "
 -    # Control Node - set VXLAN TEP IP for Genius Auto TZ
 -    ${SSH} ${!CONTROLIP} "
 -        sudo ovs-vsctl set O . external_ids:tep-ip=${!CONTROLIP};
 -    "
  
      # Control Node - external net internet address simulation
      ${SSH} ${!CONTROLIP} "
@@@ -1294,19 -1296,14 +1294,19 @@@ echo "Starting Robot test suites ${SUIT
  # please add pybot -v arguments on a single line and alphabetized
  suite_num=0
  for suite in ${SUITES}; do
 -    # prepend a incrmental counter to the suite name so that the full robot log combining all the suites as is done
 -    # in the rebot step below will list all the suites in chronological order as rebot seems to alphabatize them
 +    # prepend an incremental counter to the suite name so that the full robot log combining all the suites as is done
 +    # in the rebot step below will list all the suites in chronological order as rebot seems to alphabetize them
      let "suite_num = suite_num + 1"
      suite_index="$(printf %02d ${suite_num})"
      suite_name="$(basename ${suite} | cut -d. -f1)"
      log_name="${suite_index}_${suite_name}"
 -    pybot -N ${log_name} --removekeywords wuks -c critical -e exclude -e skip_if_${DISTROSTREAM} \
 +    pybot -N ${log_name} \
 +    -c critical -e exclude -e skip_if_${DISTROSTREAM} \
      --log log_${log_name}.html --report None --output output_${log_name}.xml \
 +    --removekeywords wuks \
 +    --removekeywords name:SetupUtils.Setup_Utils_For_Setup_And_Teardown \
 +    --removekeywords name:SetupUtils.Setup_Test_With_Logging_And_Without_Fast_Failing \
 +    --removekeywords name:OpenStackOperations.Add_OVS_Logging_On_All_OpenStack_Nodes \
      -v BUNDLEFOLDER:${BUNDLEFOLDER} \
      -v BUNDLE_URL:${ACTUAL_BUNDLE_URL} \
      -v CONTROLLERFEATURES:"${CONTROLLERFEATURES}" \